Create customer alias

Create an alternate external identifier for a customer by Paid display ID.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired
Paid customer display id

Request

Body
aliasstringRequired1-255 characters
Alternate external identifier that should resolve to this customer.
namestringOptional<=120 characters
Optional display name for this alias.
descriptionstringOptional<=500 characters
Optional note describing where this alias comes from.

Response

201
aliasstring
Alternate external identifier that resolves to the customer.
customerIdstring
Paid customer display ID this alias resolves to.
namestring or null
descriptionstring or null
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error